import { SlideImage } from "yet-another-react-lightbox"

export interface ILocationDetail {
  id: Number,
  name: String,
  address: String,
  google_maps_link: String,
  thumbnail: NullValueRes<"String", String>,
  submitted_by: Number,
  regency_name: String,
  province_name: String,
  region_name: String,
  submitted_by_user: String
}

export function emptyLocationDetail(): ILocationDetail {
  return {
    id: 0,
    address: '',
    google_maps_link: '',
    thumbnail: { String: '', Valid: false },
    name: '',
    province_name: '',
    regency_name: '',
    region_name: '',
    submitted_by: 0,
    submitted_by_user: ''
  }
}

export interface LocationDetailResponse {
  detail: ILocationDetail,
  tags: Array<String>
}

export function EmptyLocationDetailResponse(): LocationDetailResponse {
  return {
    detail: emptyLocationDetail(),
    tags: []
  }
}

export interface LocationImage extends SlideImage {
  id: Number,
  src: string,
  created_at: String,
  uploaded_by: String
}

export function emptyLocationImage(): LocationImage {
  return {
    id: 0,
    src: '',
    created_at: '',
    uploaded_by: ''
  }
}

export interface LocationResponse {
  total_image: Number,
  images: Array<LocationImage>
}

export function emptyLocationResponse(): LocationResponse {
  return {
    total_image: 0,
    images: [emptyLocationImage()]
  }
}